Subject: Re: [Pce] Chair review of draft-ietf-pce-stateful-path-protection

From: Dhruv Dhody <[email-masked]>
Date: Tue, 4 Jun 2019 21:20:24 +0530

Hi Mahendra,

Thanks for making the update (-05). I see a few non-blocking issues that can
handled later.

https://tools.ietf.org/html/draft-ietf-pce-stateful-path-protection-05

(1) You added -

   [RFC8051] describes
   applicability of Path protection in PCE deployment.

I suggest change this to -

   [RFC8051] describes
   applicability of path protection for stateful PCE deployments.

(2) Add a space between "Report" and "(" in "Report(PCRpt) message", similarly
for "Report(PCRpt) message" and "Initiate(PCInitiate) message"

(3) Number of authors is still an issue that needs to be handled, either by
reducing the number of co-authors or providing a justification. Please do so
before we ship this out of the WG.

Thanks for handling my other comments.

Thanks,
Dhruv

On Thu, May 16, 2019 at 4:41 PM Dhruv Dhody <[email-masked]> wrote:
>
> Hi Authors,
>
> I did a chair's review of the I-D. Expect a separate shepherd review from
> Julien. I found minor issues that can be easily fixed.
>
> (1) The issue with number of authors on the front page is bound to come up,
> either provide valid justification to your shepherd or reduce to 5.
>
> (2) Add reference to RFC8051 in introduction, which had a section on
> protection.
>
> (3) It would be good to explicitly state that in PCE-initiated LSPs case, the
> association group is created by PCE.
>
> (4) Section 4.1.
>
> OLD:
>    During state synchronization, a PCC MUST report all the existing path
>    protection association groups as well as any path protection flags to
>    PCE(s) as per [I-D.ietf-pce-association-group].
> NEW:
>    During state synchronization, a PCC report all the existing LSP state as
>    described in [RFC8231], the the association group membership pertaining to
>    a LSP is also reported as per [I-D.ietf-pce-association-group]. This
>    includes PPAG.
> END
>
> Nits
> ----
> s/Path Computation Element Protocol (PCEP)/Path Computation Element
>  communication Protocol (PCEP)/
> s/between one a pair of PCEs/between a pair of PCEs/
> s/Stateful pce/Stateful PCE/
> s/Path Protection Association Object Type/Path Protection Association Type/
> s/[A|a]ssociation-type/Association type/
> Section 4.4, extra "." at the end.
> Section 4.5, closing braces missing, end of 2nd paragraph.
> Expand on 1st use - PCRpt, PCUpd, PCInitiate...
>
> Regards,
> Dhruv